#include <stdio.h>
#include <sqlite3.h>
#include <stdlib.h>

int main(int argc, char **argv){
	sqlite3 *db;
	int rc;
	sqlite3_stmt *stmt;

	rc = sqlite3_open("test_db.db", &db);
	if( rc ){
		fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));
		exit(1);
	}

	/* Wrong error message */
	rc = sqlite3_prepare_v2 (db, "INSERT INTO workspace (name) VALUES ('bla bla bla workspace')", -1, &stmt, NULL);
	if( rc != SQLITE_OK ){
		fprintf(stderr, "SQL error (prepare_v2): %s\n", sqlite3_errmsg (db));
		exit (1);
	}

	rc = sqlite3_step (stmt);
	if (rc != SQLITE_OK ) {
		fprintf (stderr, "SQL error (step): %s\n", sqlite3_errmsg (db));
	}

	/* Error message Ok */
	rc = sqlite3_prepare_v2 (db, "INSERT INTO workspace (name) VALUES ('bla bla bla workspace')", -1, &stmt, NULL);
	if( rc != SQLITE_OK ){
		fprintf(stderr, "SQL error (prepare_v2): %s\n", sqlite3_errmsg (db));
		exit (1);
	}

	rc = sqlite3_step (stmt);
	if (rc != SQLITE_OK ) {
		sqlite3_reset (stmt);
		fprintf (stderr, "SQL error (step): %s\n", sqlite3_errmsg (db));
	}

	sqlite3_close(db);
	return 0;
}
